<div class="container">
  <div class="row justify-content-center">
    <div class="col-xs-10 col-sm-9 col-md-6">
      <div class="text-center">
        <h1>Uitgave toevoegen</h1>
      </div>

      <div *ngIf="!loginCheck()">Log in</div>

      <form
        *ngIf="loginCheck()"
        #expenseForm="ngForm"
        name="form"
        (ngSubmit)="expenseForm.form.valid && onSubmit()"
        novalidate
      >
        <div>Vul alle velden in.</div>
        <div class="form-group">
          <label for="amount">Hoeveelheid:</label>
          <input
            [(ngModel)]="expense.amount"
            name="amount"
            id="amount"
            #amount="ngModel"
            class="form-control"
            type="number"
            required
          />
          <div
            *ngIf="amount.invalid && (amount.touched || expenseForm.submitted)"
            class="alert alert-danger"
          >
            <div *ngIf="amount.errors.required">Voer een hoeveelheid in</div>
          </div>
        </div>

        <div class="form-group">
          <label for="date">Datum:</label>
          <input
            [(ngModel)]="expense.date"
            name="date"
            id="date"
            class="form-control"
            #date="ngModel"
            class="form-control"
            type="date"
            required
          />
          <div
            *ngIf="date.invalid && (date.touched || expenseForm.submitted)"
            class="alert alert-danger"
          >
            <div *ngIf="date.errors.required">Voer een datum in</div>
          </div>
        </div>

        <div class="form-group" *ngIf="dropdownArray">
          <label for="users">Winkel:</label>

          <select
            [(ngModel)]="storeRef"
            name="stores"
            id="stores"
            #stores="ngModel"
            class="form-control"
          >
            <option *ngFor="let store of dropdownArray" [value]="store._id">
              {{ store.name }} : {{ store.address[0].city }}
              <span *ngIf="store.address[0].street">
                {{ store.address[0].street }}
              </span>
              <span *ngIf="store.address[0].houseNumber">
                {{ store.address[0].houseNumber }}
              </span>
            </option>
          </select>
        </div>

        <button type="submit" class="btn btn-medium btn-main">Aanmaken</button>

        <button class="btn btn-medium btn-main" title="back" (click)="goBack()">
          Terug
        </button>
      </form>
    </div>
  </div>
</div>
